### Signal

# WPEPlatform Gamepad::button-event

#### Declaration

    void
    button_event (
      WPEGamepad* self,
      WPEGamepadButton button,
      gboolean is_pressed,
      gpointer user_data
    )

#### Description [src]

Emitted when a button is pressed or released.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`button`

  Type: `WPEGamepadButton`

  A `WPEGamepadButton`.

`is_pressed`

  Type: `gboolean`

  Whether `button` is pressed or not.